org.richfaces.renderkit.html.images

## Class SimpleSeparatorImage

- java.lang.Object
- - org.ajax4jsf.resource.InternetResourceBase
  - - org.ajax4jsf.resource.Java2Dresource
    - - org.richfaces.renderkit.html.images.SimpleSeparatorImage

- All Implemented Interfaces:
    org.ajax4jsf.resource.InternetResource

      public class SimpleSeparatorImage
      extends org.ajax4jsf.resource.Java2Dresource

  Author:
    Konstantin Mishin, Filip Antonov

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `SimpleSeparatorImage.SimpleSeparatorData`

  - ### Field Summary

    - ### Fields inherited from interface org.ajax4jsf.resource.InternetResource

      `CODEC_ATTR, DATA_SEPARATOR, DEFAULT_EXPIRE, DEFAULT_EXPITE_PARAMETER, ENCODE_PASS_PARAMETER, ENCODE_URI_PARAMETER, RESOURCE_PROTOCOL, RESOURCE_URI_PREFIX, RESOURCE_URI_PREFIX_LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleSeparatorImage()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Object` | `deserializeData(byte[] objectArray)`
    `protected java.lang.Object` | `getDataToStore(javax.faces.context.FacesContext context, java.lang.Object data)`
    `protected java.awt.image.RenderedImage` | `getImage(org.ajax4jsf.resource.ResourceContext context)`

    - ### Methods inherited from class org.ajax4jsf.resource.Java2Dresource

      `getDimensions, getDimensions, getResourceAsStream, paint, send`

    - ### Methods inherited from class org.ajax4jsf.resource.InternetResourceBase

      `encode, encode, encodeBegin, encodeEnd, getContentLength, getContentType, getExpired, getKey, getLastModified, getProperty, getRenderer, getUri, isCacheable, isSessionAware, requireFacesContext, restoreData, sendHeaders, setCacheable, setContentLength, setExpired, setKey, setLastModified, setProperty, setRenderer, setSessionAware`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleSeparatorImage

          public SimpleSeparatorImage()

  - ### Method Detail

    - #### getImage

          protected java.awt.image.RenderedImage getImage(org.ajax4jsf.resource.ResourceContext context)

      Overrides:
        `getImage` in class `org.ajax4jsf.resource.Java2Dresource`

    - #### deserializeData

          protected java.lang.Object deserializeData(byte[] objectArray)

      Overrides:
        `deserializeData` in class `org.ajax4jsf.resource.InternetResourceBase`

    - #### getDataToStore

          protected java.lang.Object getDataToStore(javax.faces.context.FacesContext context,
                                        java.lang.Object data)

      Overrides:
        `getDataToStore` in class `org.ajax4jsf.resource.InternetResourceBase`

Copyright © 2013. All Rights Reserved.